## yacas 1.2.2

=== debian/changelog ===
yacas (1.2.2-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.2. No changes were needed. 
  * Maintainer's mail has been changed.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Build with -fpermissive. LP: #832827. (Closes: #624980). Thanks to 
    Matthias Klose for providing a patch. 

 -- Muammar El Khatib <muammar@debian.org>  Sun, 18 Sep 2011 11:30:02 +0200

yacas (1.2.2-5) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * debian/watch file has been fixed. 
  * debian/patches: 02_changing_Makefile_in.dpatch has been added in order to
    make yacas compile against the latest GCC version.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 05 Feb 2010 08:49:55 -0430

yacas (1.2.2-4) unstable; urgency=low

  * Bump Standards-Version to 3.8.3
  * The problem in the yacas's documentation due a missing javascript has been
    fixed. The needed *.js files are provided now. (Closes: #523304)
  * Yacas now depends on gnuplot so that the plot functions will give visual
    output. (Closes: #546805)
  * config.sub and config.guess files have been updated, so yacas does not FTBFS
    in GNU/kFreeBSD anymore.  (Closes: #493734)
  * debian/control: autotools-dev has been added in the Build-Depends field. 

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 04 Oct 2009 17:36:16 -0430

yacas (1.2.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #456066)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 21:36:10 +0100

yacas (1.2.2-3) unstable; urgency=low

  * Bump Standards-Version to 3.7.3
  * lynx was erased from Build-Depends field.
  * '/usr/share/doc/yacas/changelog.gz does not contain a changelog' bug has
    been fixed in this revision. (Closes: #456307)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 22 Dec 2007 20:29:21 -0430

yacas (1.2.2-2) unstable; urgency=low

  * 'yacas: postinst failure compiling emacs elisp files' bug has been fixed.
    (Closes: #453748)
  * 'yacas: fails to configure with emacsen installed' bug has been fixed.
    (Closes: #453744)
  * yacas no longer ships any .el files hence debian/emacsen-* files has been
    deleted. 
  * debian/control: yacas is no longer suggesting emacs and yacas-proteus.
  * debian/copyright: the copyritght file has been improved in this revision.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 02 Dec 2007 01:24:01 -0400

yacas (1.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #424878)
  * A symlink against books.html has been created. (Closes: #424889)
  * /usr/share/doc/yacas-doc/html/proteusbooks.html no longer remains after 
    purging since yacas-proteus is not being provided anymore.
    (Closes: #358401)
  * A watch file was added in this revision.
  * yacas.menu file was changed to fit new policy about menu files.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 21 Sep 2007 11:26:59 -0400

yacas (1.0.57-3) unstable; urgency=low

  * New maintainer. (Closes: #405734)
  * Bump Standards-Version to 3.7.2.
  * The yacas' rpatch to /tmp/buildd/yacas-1.0.57/debian/yacas/usr/lib has
    been fixed using chrpath -d. (Closes: #399227)
  * The yacas' rpath to /tmp/yacas/usr/bin/yacas has been fixed using chrpath
    -d. Thanks to Michael Hanke for the patch. (Closes: #399226)
  * Commented lines in rules file were removed since they were useless.
  * Descriptions of the package were corrected because they didn't have the
    webpage of the upstream author.
  * The debhelper version was changed to >= 5. 
  * Added Build-depends on chrpath and dpatch. 
  * Added patch: 02_changing_Makefile_in.diff because in old uploads
    Makefile.in was changed by hand and lsdiff complained. 
  * Acknowledge NMUs (Closes: #376634, #382783, #379261, #379895, #295413, 
    #266283, #332298, #333589, #338164)
  * Thanks to Steffen Joeris.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 27 Feb 2007 13:57:58 -0400

yacas (1.0.57-2.4) unstable; urgency=low

  * NMU
  * debian/control: Build-depend on automake1.9. (Closes: #376634)

 -- Eric Dorland <eric@debian.org>  Sat,  2 Sep 2006 21:23:35 -0400

yacas (1.0.57-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Call ./configure with --with-script-dir=/usr/share/yacas and make
    install with an appropriate scriptdir and htmldir variable in
    debian/rules so yacas can find the necessary files. (Closes: #382783) 

 -- Arjan Oosting <arjanoosting@home.nl>  Tue, 15 Aug 2006 00:41:05 +0200

yacas (1.0.57-2.2) unstable; urgency=medium

  * Non-Maintainer Upload, to fix two different Failure To Build From Source
    issues.  Thanks to Arjan Oosting for the patches.
  * Added build dependency on libxi-dev. (Closes: #379261)
  * Modified debian/rules to call make install with datarootdir variable.
    (Closes: #379895)
  * Fixed YacasNotebook/yacas-notebook.el, so that it does not complain upon
    installing.  Thanks to Braun Gabor for the patch. (Closes: #295413).
  * Updated DH_COMPAT and debhelper build-dependency to version 4.
    Removed yacas.conffiles and yacas-proteus.conffiles since they weren't
    needed anymore.

 -- Margarita Manterola <marga@debian.org>  Sun, 30 Jul 2006 15:50:41 -0300

yacas (1.0.57-2.1) unstable; urgency=low

  * NMU to fix the bugs listed below, as the maintainer appears to be MIA.
  * Rebuild for C++ and FLTK transitions.  (Closes: #266283.)
  * src/errors.h: remove some gratuitous casts that led to build failures
    on 64-bit systems.
  * src/obmalloc.cpp: likewise, remove the totally bogus redefinition of
    off_t.  (Together with the previous change, closes: #332298.)
  * Update config.sub and config.guess from autotools-dev 20050803.1.
    (Closes: #333589.)
  * Add build dependencies on libxmu-dev and libxt-dev.  (Closes: #338164.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  9 Nov 2005 21:01:16 -0500

yacas (1.0.57-2) unstable; urgency=high


