=== debian/control ===
Source: yacas
Section: math
Priority: extra
Maintainer: Muammar El Khatib <muammar@debian.org>
Standards-Version: 3.9.2
Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, quilt (>= 0.40), autotools-dev
Homepage: http://yacas.sourceforge.net

Package: yacas
Architecture: any
Depends: ${shlibs:Depends}, lynx | www-browser, yacas-doc, gnuplot, ${misc:Depends}
Suggests: texmacs
Description: Computer Algebra System
 Yacas is a small and highly flexible computer algebra language.
 .
 The syntax is very close to Mathematica. The distribution contains
 a small library of mathematical functions, but its real strength
 is in the language in which you can easily write your own symbolic
 manipulation algorithms. It supports arbitrary precision arithmetic.

Package: yacas-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: yacas (= ${binary:Version})
Description: Documentation for Yacas
 Yet Another Computer Algebra System is a small and highly
 flexible computer algebra language.
 .
 The syntax is very close to Mathematica. The distribution contains
 a small library of mathematical functions, but its real strength
 is in the language in which you can easily write your own symbolic
 manipulation algorithms. It supports arbitrary precision arithmetic.
 This package contains the html documentation for yacas.
