=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2000 Gopal Narayanan
# Modified for debhelper by GN Sep. 1 2000
# needed to use the dpatch tools (like dpatch-edit-patch)
include /usr/share/quilt/quilt.make

package=yacas
#libpackage=libyacas
#proteus-package=yacas-proteus
package-doc=yacas-doc

ddir=`pwd`/debian/$(package)
#ddir-lib=`pwd`/debian/$(libpackage)
#ddir-proteus=`pwd`/debian/$(proteus-package)
ddir-dic=`pwd`/debian/$(package-doc)

arch=`dpkg --print-architecture`
os = 'linux'
ABOVE=$(shell pwd)

INSTALL =/usr/bin/install
GZIP    =/bin/gzip
INSTALL_DATA =$(INSTALL) -m 644 -o root -g root
GZIP_DATA =$(GZIP) -9

CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: $(QUILT_STAMPFN)
build-stamp:
	dh_testdir
	./makemake
	CXXFLAGS="$(CXXFLAGS)" ./configure --prefix=/usr --with-numlib=native \
	--enable-server \
	--sysconfdir=/etc --with-script-dir=/usr/share/yacas --disable-rpath
	$(MAKE) sysconfdir=/etc
	touch build-stamp
clean: unpatch
clean:
#	$(checkdir)
	dh_testdir
	dh_testroot
	-rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	find . \( -name config.sub -o -name config.guess \) -print0 | xargs -0 -r rm -f \;
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installdocs -a
	$(MAKE) prefix=`pwd`/debian/yacas/usr \
		datarootdir=`pwd`/debian/yacas/usr/share \
		scriptdir=`pwd`/debian/yacas/usr/share/yacas \
		htmldir=`pwd`/debian/yacas/usr/share/yacas/documentation \
		sysconfdir=`pwd`/debian/yacas/etc install 
	above=`pwd`
	$(INSTALL) -d debian/yacas-doc/usr/share/doc/$(package-doc)/html
	-mv debian/yacas/usr/share/yacas/documentation/* debian/yacas-doc/usr/share/doc/$(package-doc)/html/.
	-rm -rf debian/yacas/usr/share/yacas/documentation
	cp $(CURDIR)/manmake/*.js $(CURDIR)/debian/yacas-doc/usr/share/doc/yacas-doc/html/
	
	

	touch install-stamp

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_strip -i
	dh_compress -i -X.html -Xhints -X.gif
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a	
	dh_installdocs -pyacas AUTHORS TODO 
	-rm $(ddir)/usr/bin/ytxt2tex
	dh_installchangelogs -a
	-rm -rf $(ddir)/usr/share/yacas/manmake
	dh_installmenu -a
	docbook-to-man debian/yacas.sgml > debian/yacas.1
	dh_link usr/share/man/man1/yacas.1 usr/share/man/man1/yacas_client.1
	dh_installman -pyacas debian/yacas.1
	dh_makeshlibs -pyacas
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
