## yacas 1.3.1

=== debian/changelog ===
yacas (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 04 Dec 2011 02:15:58 +0100
