=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Muammar El Khatib <muammar@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, quilt (>= 0.40), autotools-dev
+Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, autotools-dev, quilt
 Homepage: http://yacas.sourceforge.net
 
 Package: yacas
