## yacas 1.3.2

=== debian/changelog ===
yacas (1.3.2-1) unstable; urgency=low

  * Bump Standards-Version to 3.9.3. No changes were needed.
  * New upstream release.
  * Dropped unneeded build dependency on quilt as well as calls to it in
    debian/rules file.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 20 May 2012 11:57:13 +0200
