=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: extra
 Maintainer: Muammar El Khatib <muammar@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, autotools-dev, quilt
+Standards-Version: 3.9.3
+Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, autotools-dev
 Homepage: http://yacas.sourceforge.net
 
 Package: yacas
