=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # Copyright 2000 Gopal Narayanan
 # Modified for debhelper by GN Sep. 1 2000
 # needed to use the dpatch tools (like dpatch-edit-patch)
-include /usr/share/quilt/quilt.make
 
 package=yacas
 #libpackage=libyacas
@@ -37,7 +36,6 @@
 	--sysconfdir=/etc --with-script-dir=/usr/share/yacas --disable-rpath
 	$(MAKE) sysconfdir=/etc
 	touch build-stamp
-clean: unpatch
 clean:
 #	$(checkdir)
 	dh_testdir
@@ -58,14 +56,14 @@
 		datarootdir=`pwd`/debian/yacas/usr/share \
 		scriptdir=`pwd`/debian/yacas/usr/share/yacas \
 		htmldir=`pwd`/debian/yacas/usr/share/yacas/documentation \
-		sysconfdir=`pwd`/debian/yacas/etc install 
+		sysconfdir=`pwd`/debian/yacas/etc install
 	above=`pwd`
 	$(INSTALL) -d debian/yacas-doc/usr/share/doc/$(package-doc)/html
 	-mv debian/yacas/usr/share/yacas/documentation/* debian/yacas-doc/usr/share/doc/$(package-doc)/html/.
 	-rm -rf debian/yacas/usr/share/yacas/documentation
 	cp $(CURDIR)/manmake/*.js $(CURDIR)/debian/yacas-doc/usr/share/doc/yacas-doc/html/
-	
-	
+
+
 
 	touch install-stamp
 
@@ -87,8 +85,8 @@
 binary-arch: build install
 	dh_testdir -a
 	dh_testroot -a
-	dh_installdirs -a	
-	dh_installdocs -pyacas AUTHORS TODO 
+	dh_installdirs -a
+	dh_installdocs -pyacas AUTHORS TODO
 	-rm $(ddir)/usr/bin/ytxt2tex
 	dh_installchangelogs -a
 	-rm -rf $(ddir)/usr/share/yacas/manmake
