## yacas 1.3.3

=== debian/changelog ===
yacas (1.3.3-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4. No changes were needed.
  * Use of fortified libc functions in the make target.
  * Migration to unstable.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 07 May 2013 20:09:17 +0200

yacas (1.3.3-1) experimental; urgency=low

  * New upstream release.
  * When compiling the new version of yacas, it was found that the distclean
    target didn't get rid of all changes made when configuring the package.
    Thus, it was necessary to execute a dpkg-source --commit to recover those
    changes in this patch file. See file: 01_locchanges.patch

 -- Muammar El Khatib <muammar@debian.org>  Sat, 22 Dec 2012 09:50:06 +0100
