=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	CXXFLAGS="$(CXXFLAGS)" ./configure --prefix=/usr --with-numlib=native \
 	--enable-server \
 	--sysconfdir=/etc --with-script-dir=/usr/share/yacas --disable-rpath
-	$(MAKE) sysconfdir=/etc
+	CXXFLAGS="$(CXXFLAGS)" $(MAKE) sysconfdir=/etc
 	touch build-stamp
 clean:
 #	$(checkdir)
