=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
 http://yacas.sourceforge.net/downloads.html \
   backups/yacas-(.*)\.tar\.gz
