## yacas 1.3.6

=== debian/changelog ===
yacas (1.3.6-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build dependency autoconf-archive. (Closes: #1053728)

 -- Bastian Germann <bage@debian.org>  Mon, 09 Oct 2023 20:28:32 +0200

yacas (1.3.6-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop outdated README.source. (Closes: #1053222)
  * Drop unnecessary build dependency FLTK. (Closes: #974631)
  * Partly fix cross build. (Closes: #924416)

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 17:12:48 +0200

yacas (1.3.6-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 16:29:21 +0100

yacas (1.3.6-2) unstable; urgency=medium

  * yacasinit.ys is now installed in /usr/share/yacas/scripts (Closes: #815924).
  * debian/watch file now points to github.

 -- Muammar El Khatib <muammar@debian.org>  Thu, 25 Feb 2016 22:17:50 +0100

yacas (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No changes were needed.
  * Updated DH_COMPAT and debhelper build-dependency to version 9.
  * The package compiles using hardening options.
  * In this revision, yacas can be built reproducibly (Closes: #791845).
    Thanks to Reiner Herrmann for providing a patch.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 26 Dec 2015 14:52:39 +0100
