=== debian/control ===
--- 
+++ 
@@ -2,8 +2,21 @@
 Section: math
 Priority: extra
 Maintainer: Muammar El Khatib <muammar@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: libfltk1.1-dev,debhelper (>=5),docbook-to-man, libgsl0-dev, automake, autoconf, freeglut3-dev, libxmu-dev, libxt-dev, libxi-dev, chrpath, autotools-dev
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>=9),
+               docbook-to-man,
+               libgsl-dev,
+               automake,
+               autoconf,
+               autoconf-archive,
+               freeglut3-dev,
+               libxmu-dev,
+               libxt-dev,
+               libxi-dev,
+               chrpath,
+               autotools-dev,
+               libjs-mathjax,
+               texlive-latex-base
 Homepage: http://yacas.sourceforge.net
 
 Package: yacas
