=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-# Copyright 2000 Gopal Narayanan
-# Modified for debhelper by GN Sep. 1 2000
-# needed to use the dpatch tools (like dpatch-edit-patch)
 
 package=yacas
 #libpackage=libyacas
@@ -22,6 +19,9 @@
 INSTALL_DATA =$(INSTALL) -m 644 -o root -g root
 GZIP_DATA =$(GZIP) -9
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive
 
 build: build-arch build-indep
@@ -31,10 +31,10 @@
 build-stamp:
 	dh_testdir
 	./makemake
-	CXXFLAGS="$(CXXFLAGS)" ./configure --prefix=/usr --with-numlib=native \
-	--enable-server \
-	--sysconfdir=/etc --with-script-dir=/usr/share/yacas --disable-rpath
+	CXXFLAGS="$(CXXFLAGS)" dh_auto_configure -- --prefix=/usr --with-numlib=native \
+	--enable-server --sysconfdir=/etc --disable-rpath
 	CXXFLAGS="$(CXXFLAGS)" $(MAKE) sysconfdir=/etc
+	make texdocs
 	touch build-stamp
 clean:
 #	$(checkdir)
@@ -49,22 +49,20 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	dh_installdocs -a
 	$(MAKE) prefix=`pwd`/debian/yacas/usr \
 		datarootdir=`pwd`/debian/yacas/usr/share \
-		scriptdir=`pwd`/debian/yacas/usr/share/yacas \
-		htmldir=`pwd`/debian/yacas/usr/share/yacas/documentation \
+		scriptdir=`pwd`/debian/yacas/usr/share/yacas/scripts \
 		sysconfdir=`pwd`/debian/yacas/etc install
+	rm -rf debian/yacas/usr/share/yacas/documentation
+	cp $(CURDIR)/manmake/*.pdf $(CURDIR)/debian/yacas-doc/usr/share/doc/yacas-doc/
+		#html htmldir=`pwd`/debian/yacas/usr/share/yacas/documentation \
 	above=`pwd`
-	$(INSTALL) -d debian/yacas-doc/usr/share/doc/$(package-doc)/html
-	-mv debian/yacas/usr/share/yacas/documentation/* debian/yacas-doc/usr/share/doc/$(package-doc)/html/.
-	-rm -rf debian/yacas/usr/share/yacas/documentation
-	cp $(CURDIR)/manmake/*.js $(CURDIR)/debian/yacas-doc/usr/share/doc/yacas-doc/html/
-
-
-
+	#html $(INSTALL) -d debian/yacas-doc/usr/share/doc/$(package-doc)/html
+	#html -mv debian/yacas/usr/share/yacas/documentation/* debian/yacas-doc/usr/share/doc/$(package-doc)/html/.
+	#html cp $(CURDIR)/manmake/*.js $(CURDIR)/debian/yacas-doc/usr/share/doc/yacas-doc/html/
 	touch install-stamp
 
 binary-indep: build install
@@ -74,7 +72,7 @@
 	dh_installdocs -i
 	dh_installchangelogs -i
 	dh_strip -i
-	dh_compress -i -X.html -Xhints -X.gif
+	dh_compress -i -X.pdf
 	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
